function New-ESXISession {
    $vmwarePowerCLI = 'C:\Program Files (x86)\VMware\Infrastructure\PowerCLI\Scripts\Initialize-PowerCLIEnvironment.ps1'

    . $vmwarePowerCLI $true

    Connect-VIServer esxi -Credential (New-Credentials 'root' 'Z5&I^Y&55yCYCL@@Yf4P')
}

function Restore-VMWareSnapshot {
    [CmdletBinding()]
    param(
        [Parameter(Position = 0, Mandatory)][string] $vm,
        [Parameter(Position = 1)][string] $snapshot = 'Base'
    )

    Set-VM -VM $vm -Snapshot $snapshot -Confirm:$false | Out-Null
}

function New-VMWareSnapshot {
    [CmdletBinding()]
    param(
        [Parameter(Position = 0, Mandatory)][string] $vm,
        [Parameter(Position = 1)][string] $snapshot = 'Base'
    )

    Get-VM -Name $vm | New-Snapshot -Name $snapshot -Memory | Out-Null
}

function Remove-VMWareSnapshot {
    [CmdletBinding()]
    param(
        [Parameter(Position = 0, Mandatory)][string] $vm,
        [Parameter(Position = 1)][string] $snapshot = 'Base'
    )

    Get-Snapshot -VM $vm -Name $snapshot | Remove-Snapshot -Confirm:$false | Out-Null
}