function Invoke-GitClone {
    [CmdletBinding()]
    param(
        [Parameter(Position = 0, Mandatory)][string] $repositoryUrl,
        [Parameter(Position = 1)][string] $directory,
        [Parameter(Position = 2)][string] $gitHost = ($env:ComputerName).toLower()
    )

    $directory = @{$true = $directory; $false = (Split-Path -Leaf $repositoryUrl) -replace '.git', ''; }[-not [string]::IsNullOrEmpty($directory)]

    if ($repositoryUrl -match 'GoContec') {
        $cloneUrl = $repositoryUrl -replace 'git@github.com', "$gitHost-contec"
        $directory = "Contec-$directory"
    }
    elseif ($repositoryUrl -match 'git@github.com') {
        $cloneUrl = $repositoryUrl -replace 'git@github.com', "$gitHost-boyank-GitHub"
    }

    $directory = Resolve-FullPath $directory

    Write-Host Cloning $cloneUrl to $directory

    git clone $cloneUrl $directory
}