function New-CertificateRequest {
    [CmdletBinding()]
    param(
        [Parameter(Position = 0, Mandatory)][string[]] $hostHeaders,
        [Parameter(Position = 1)][string] $outputDir = 'C:\Requests'
    )

    $date = (Get-Date).ToString('yyyy.MM.dd')
    New-Item -ItemType Directory $outputDir -ErrorAction SilentlyContinue | Out-Null

    $hostHeaders -split ',' | % {
        $hostHeader = $_
        $requestFile = Join-Path $outputDir "Certificate-Request-$hostHeader-$date.req"

        Remove-Item $requestFile -ErrorAction SilentlyContinue

        $infFile = @"
[NewRequest]`r
Subject = "CN=$hostHeader"`r
KeySpec = 1
KeyLength = 2048
Exportable = TRUE`r
RequestType = CMC`r
"@

        $finalInfFile = Join-Path $outputDir "Certificate-Request-$hostHeader-$date.inf"
        Remove-Item $finalInfFile -ErrorAction SilentlyContinue

        New-Item $finalInfFile -Type File -Value $infFile | Out-Null
        & certreq -new $finalInfFile $requestFile

        Write-Host "Saved to '$finalInfFile'..."
    }
}