﻿$env:Path += ";$PSScriptRoot\Scripts"
$projectsDir = Join-Path $PSScriptRoot '..\..\Projects'
$pathToGit = 'C:\Program Files\Git\bin\git.exe'

if (Test-Path $pathToGit) {
    # Load posh-git profile
    . $PSScriptRoot\Modules\posh-git\profile.ps1
}

# Chocolatey profile
$chocolateyProfile = "$env:chocolateyInstall\helpers\chocolateyProfile.psm1"
if (Test-Path $chocolateyProfile) {
    Import-Module $chocolateyProfile
    Import-Module "$env:chocolateyInstall\helpers\chocolateyInstaller.psm1"
}

$dockerModule = "$PSScriptRoot\Modules\posh-docker\0.6.0\posh-docker.psm1"
if (Test-Path $dockerModule) {
    Import-Module $dockerModule
}

. $PSScriptRoot\Chocolatey.ps1
. $PSScriptRoot\Directories.ps1
. $PSScriptRoot\Functions.ps1
. $PSScriptRoot\Files.ps1
. $PSScriptRoot\Git.ps1
. $PSScriptRoot\Hyper-V.ps1
. $PSScriptRoot\Win10-VM.ps1
. $PSScriptRoot\ESXI.ps1
. $PSScriptRoot\Playground.ps1
. $PSScriptRoot\Server.ps1

# Alaises
. $PSScriptRoot\Aliases.ps1

if (Test-Path $projectsDir) {
    Set-Location (Resolve-Path $PSScriptRoot\..\..\Projects)
}

Clear-Host