$done = gci -recurse E:\Dropbox\BoxStarter *.nupkg | % { $_.Name -replace '(\.[0-9\.]+\.nupkg)', '' }
gci -recurse *.nuspec | ? { $done -notcontains ($_.Name -replace '.nuspec', '') } | % { .\build-push.ps1 ($_.Name -replace '.nuspec', '') -f }
gci -recurse *.nuspec | ? { $done -notcontains ($_.Name -replace '.nuspec', '') }

# Install all packages in the current directory
gci *.nupkg | % { choco install ($_.Name -replace '(\.[0-9\.]+\.nupkg)', '') -f -s . }
gci *.nupkg | ? { $_.Name -match '^[c-d]' } | % { ($_.Name -replace '(\.[0-9\.]+\.nupkg)', '') }

$workloads = @(
    'visualstudio2017-workload-data',
    'visualstudio2017-workload-manageddesktop',
    'visualstudio2017-workload-nativecrossplat',
    'visualstudio2017-workload-nativedesktop',
    'visualstudio2017-workload-netcoretools',
    'visualstudio2017-workload-netcrossplat',
    'visualstudio2017-workload-netweb',
    'visualstudio2017-workload-node',
    'visualstudio2017-workload-visualstudioextension',
    'visualstudio2017-workload-webbuildtools',
    'visualstudio2017-workload-webcrossplat'
)

Stop-VM 'Windows 10' -Passthru | Get-VMDvdDrive | Remove-VMDvdDrive
Get-VM 'Windows 10' | % {Write-Output $_; Get-VMNetworkAdapter -vm $_ | Format-Table }

$password = ConvertTo-SecureString $password -AsPlainText -Force

Get-ChildItem -File | % { cp $_.FullName X:\ }; cp .\Extensions\** X:\; cp .\External\** X:\; cp .\Personal\** X:\

# discover and delete
if (Get-PSDrive -Name Results -ErrorAction SilentlyContinue) { Remove-PSDrive -Name Results -Scope Global | Out-Null }

# create using credentials
if ((New-PSDrive -Name Results -PSProvider FileSystem -Root "\\server\share" -Credential $Credentials -Scope Global -ErrorAction SilentlyContinue) -eq $null) { $WSHShell.popup(“You do not have access to the results repository“, 0, ””, 0) | Out-Null }

# call from a separate function
(Get-PSDrive -Name Results).root

$adminName = Read-Host "Enter your Admin AD username"
$credsFile = "C:\$AdminName-PowershellCreds.txt"
fFileExists = Test-Path $credsFile

if (-not $fileExists) {
    Write-Host 'Credential file not found. Enter your password:' -ForegroundColor Red
    Read-Host -AsSecureString | ConvertFrom-SecureString | Out-File $CredsFile

    $password = get-content $CredsFile | convertto-securestring
    $cred = new-object -typename System.Management.Automation.PSCredential -argumentlist domain\$AdminName, $password
}
else {
    Write-Host 'Using your stored credential file' -ForegroundColor Green
    $password = get-content $CredsFile | convertto-securestring
    $Cred = new-object -typename System.Management.Automation.PSCredential -argumentlist domain\$AdminName, $password
}
sleep 2

Write-Host 'Connecting to Active Directory'
#Establishes connection to Active Directory and Exchange with the specified user acccount and password.
Connect-QADService -Service 'gbay-ad01' -Credential $Cred -ErrorAction Stop | out-Null
$Session = New-PSSession -ConfigurationName Microsoft.Exchange -ConnectionUri http://server.fqdn.com/PowerShell/ -Credential $Cred -Authentication Kerberos -ErrorAction SilentlyContinue
Import-PSSession $Session -ErrorAction SilentlyContinue -AllowClobber
if (!$?) {
    write-host "Failed importing the exchange pssession, exiting!"
    exit
}

$packageXml = ''
choco list -lo -r | % { $_ -split '\|' | select -first 1 } | % { $packageXml += "`n`t<package Id=""$_"" />" }
Set-Content "<packages>$packageXml`n</packages>" .\packages.config