$process = "XYPlorer"
$downloadedFile = 'D:\Downloads\xyplorer_full_noinstall.zip'
$extractDirectory = 'D:\Downloads\xyplorer_full_noinstall'
$downloadUrl = 'http://www.xyplorer.com/download/xyplorer_full_noinstall.zip'
$versionUrl = 'https://www.xyplorer.com/version.php'
$pcSpecificProcessPath = "D:\Dropbox\Programs\Utilities\XYplorer.$env:computerName\XYplorer.exe"

$processProperties = (Get-Process -name $process -ErrorAction SilentlyContinue)

if ($processProperties) {
    $processPath = $processProperties.Path
    $installedVersion = $processProperties.FileVersion.TrimEnd(".0")
    Stop-ProcessSafe $process
}
elseif (Test-Path $pcSpecificProcessPath) {
    $installedVersion = (Get-Item $pcSpecificProcessPath).VersionInfo.FileVersion.TrimEnd(".0")
}

$webClient = New-Object System.Net.WebClient
$availableVersion = $webClient.DownloadString($versionUrl).TrimEnd(".0")

Write-Host "Installed Version: $installedVersion"
Write-Host "Available Version: $availableVersion"

if ($installedVersion -eq $availableVersion)
{
    Write-Host "You Have the Latest Version: $installedVersion"
}
else
{
    Remove-ItemSafe $downloadedFile
    Remove-ItemSafe $extractDirectory

    Write-Host "Downloading:    $downloadUrl
    To:             $downloadedFile"

    (New-Object System.Net.WebClient).DownloadFile($downloadUrl, $downloadedFile)

    UnZip $downloadedFile

    Copy-Item -Force -Recurse "$extractDirectory\*" D:\Dropbox\Programs\Utilities\XYplorer.Badass\
    Copy-Item -Force -Recurse "$extractDirectory\*" D:\Dropbox\Programs\Utilities\XYplorer.Beast\
    Copy-Item -Force -Recurse "$extractDirectory\*" D:\Dropbox\Programs\Utilities\XYplorer.Contec\
    Copy-Item -Force -Recurse "$extractDirectory\*" D:\Dropbox\Programs\Utilities\XYplorer.Server\

    Remove-ItemSafe $downloadedFile
    Remove-ItemSafe $extractDirectory

    if ($processPath -ne '') {
        Start-Process $processPath
    }
    else {
        Start-Process $pcSpecificProcessPath
    }
}