function New-EsxiSession {
    Connect-VIServer esxi -Credential (New-Credentials 'root' 'Z5&I^Y&55yCYCL@@Yf4P')
}

function Install-Win10VMTeamCity {
    Restore-PlaygroundSnapshot

    Connect-BoxStarterShare playground

    Copy-Item D:\Dropbox\BoxStarter\TeamCity* \\playground\BoxStarter\
    Copy-Item D:\Dropbox\BoxStarter\NodeJS* \\playground\BoxStarter\
    Copy-Item D:\Dropbox\BoxStarter\Git.2.12.2.nupkg \\playground\BoxStarter\

    New-PlaygroundSession

    Set-Location C:\BoxStarter\
    Clear-Host

    #choco install TeamCity-Personal
}

function Restore-Win10VMSnapshot {
    [CmdletBinding()]
    param(
        [Parameter(Position = 0)][string] $snapshot = 'Choco-Ready'
    )

    Restore-HyperVSnapshot -Name 'win10-vm' -Snapshot $snapshot
}

function New-Win10VMSnapshot {
    [CmdletBinding()]
    param(
        [Parameter(Position = 0)][string] $snapshot = 'Choco-Ready'
    )

    New-HyperVSnapshot -Name 'win10-vm' -Snapshot $snapshot
}

function Remove-Win10VMSnapshot {
    [CmdletBinding()]
    param(
        [Parameter(Position = 0, Mandatory)][string] $snapshot
    )

    Remove-HyperVSnapshot -Name 'win10-vm' -Snapshot $snapshot
}

function New-Win10VMSession {
    $state = Get-VM -Name 'win10-vm' | Select-Object -ExpandProperty State

    if ($state -ne 'Running') {
        Get-VM -Name 'win10-vm' | Start-VM
    }

    New-RemoteSession -Server 'win10-vm'
}